/amazonclouddirectory/2017-01-11/typedlink/attach#x-amz-data-partition
http://clouddirectory.{region}.amazonaws.com/amazonclouddirectory/2017-01-11/typedlink/attach#x-amz-data-partitionAttaches a typed link to a specified source and target object. For more information, see <a href="https://docs.aws.amazon.com/clouddirectory/latest/developerguide/directory_objects_links.html#directory_objects_links_typedlink">Typed Links</a>.
Body Params
A set of attributes that are associated with the typed link.
Identifies the schema Amazon Resource Name (ARN) and facet name for the typed link.
The reference that identifies an object.
The reference that identifies an object.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://clouddirectory.{region}.amazonaws.com/amazonclouddirectory/2017-01-11/typedlink/attach#x-amz-data-partition' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}